Bug 1129903 - Review Request: python-hgapi - Python API to Mercurial using the command-line interface
Summary: Review Request: python-hgapi - Python API to Mercurial using the command-line...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Meng
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-13 22:22 UTC by Julien Enselme
Modified: 2014-08-24 02:56 UTC (History)
2 users (show)

Fixed In Version: python-hgapi-1.7.1-4.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-24 02:56:45 UTC
i: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Julien Enselme 2014-08-13 22:22:04 UTC
Spec URL: http://jenselme.perso.centrale-marseille.fr/visible/SPECS/python-hgapi.spec
SRPM URL: http://jenselme.perso.centrale-marseille.fr/visible/SRPMS/python-hgapi-1.7.1-1.fc20.src.rpm
Description:
hgapi is a pure-Python API to Mercurial, that uses the command-line interface
instead of the internal Mercurial API. The rationale for this is twofold: the
internal API is unstable, and it is GPL.

hgapi works for all versions of Mercurial, and will instantly reflect any
changes to the repository (including hgrc).

Fedora Account System Username: jujens

Comment 1 Christopher Meng 2014-08-14 04:45:42 UTC
All tests failed with:

FileNotFoundError: [Errno 2] No such file or directory: 'hg'

I guess there is something wrong with the %check section.

Comment 2 Julien Enselme 2014-08-14 07:16:45 UTC
I added mercurial as a BuildRequires. The hg command is required to complete the tests:
Spec URL: http://jenselme.perso.centrale-marseille.fr/visible/SPECS/python-hgapi.spec
SRPM URL: http://jenselme.perso.centrale-marseille.fr/visible/SRPMS/python-hgapi-1.7.1-2.fc20.src.rpm

Comment 3 Christopher Meng 2014-08-14 08:08:01 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated




===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 8 files have unknown license. Detailed output of
     licensecheck:

Unknown or generated
--------------------
hgapi-1.7.1/hgapi/__init__.py
hgapi-1.7.1/hgapi/hgapi.py
hgapi-1.7.1/hgapi/testhgapi.py
hgapi-1.7.1/setup.py

[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[!]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-hgapi
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: python-hgapi-1.7.1-2.fc22.noarch.rpm
          python3-hgapi-1.7.1-2.fc22.noarch.rpm
          python-hgapi-1.7.1-2.fc22.src.rpm
python-hgapi.noarch: W: spelling-error %description -l en_US hgrc -> chg
python3-hgapi.noarch: W: spelling-error %description -l en_US hgrc -> chg
python-hgapi.src: W: spelling-error %description -l en_US hgrc -> chg
3 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python-hgapi python3-hgapi
python-hgapi.noarch: W: spelling-error %description -l en_US hgrc -> chg
python3-hgapi.noarch: W: spelling-error %description -l en_US hgrc -> chg
2 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
python-hgapi (rpmlib, GLIBC filtered):
    mercurial
    python(abi)

python3-hgapi (rpmlib, GLIBC filtered):
    mercurial
    python(abi)



Provides
--------
python-hgapi:
    python-hgapi

python3-hgapi:
    python3-hgapi



Source checksums
----------------
https://pypi.python.org/packages/source/h/hgapi/hgapi-1.7.1.tar.gz :
  CHECKSUM(SHA256) this package     : 4664ae089f4b4735d1a4e98588d38879bf0ab544186dcae65950d2eb63bfffb2
  CHECKSUM(SHA256) upstream package : 4664ae089f4b4735d1a4e98588d38879bf0ab544186dcae65950d2eb63bfffb2


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -rvn python-hgapi-1.7.1-2.fc20.src.rpm
Buildroot used: fedora-rawhide-i386
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 5 Christopher Meng 2014-08-14 12:48:07 UTC
If you don't make this spec conditionalized, you don't need to duplicate the BR of mercurial. 

Not a blocker. 

PACKAGE APPROVED.

Comment 6 Julien Enselme 2014-08-14 13:07:40 UTC
New Package SCM Request
=======================
Package Name: python-hgapi
Short Description: Python API to Mercurial using the command-line interface
Upstream URL: https://bitbucket.org/haard/hgapi
Owners: jujens
Branches: f20 f21

Comment 7 Gwyn Ciesla 2014-08-14 13:21:07 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2014-08-14 14:14:34 UTC
python-hgapi-1.7.1-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-hgapi-1.7.1-4.fc20

Comment 9 Fedora Update System 2014-08-16 00:30:00 UTC
Package python-hgapi-1.7.1-4.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-hgapi-1.7.1-4.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-9452/python-hgapi-1.7.1-4.fc20
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2014-08-24 02:56:45 UTC
python-hgapi-1.7.1-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.